.. _api-documentation:

API documentation
=================

Top level code documentation. Follow the links in each section for module/class member information.

.. automodule:: pygeoapi.api
   :members:
   :private-members:
   :special-members:

.. automodule:: pygeoapi.process.base
   :members:
   :private-members:
   :special-members:

.. automodule:: pygeoapi.process.manager.base
   :members:
   :private-members:
   :special-members:

.. automodule:: pygeoapi.formatter.base
   :members:
   :private-members:
   :special-members:
